import { UseResolveCallOptions } from "../../internal/_useResolveAsyncCall";
export interface UseMoralisWeb3ApiCallOptions extends UseResolveCallOptions {
}
export declare const useMoralisWeb3ApiCall: <Params extends object, Result>(call: (params: Params) => Promise<Result>, params?: Params | undefined, options?: UseMoralisWeb3ApiCallOptions | undefined) => {
    fetch: ({ throwOnError, onComplete, onError, onSuccess, params: fetchParams, }?: import("../../internal/_useResolveAsyncCall").ResolveCallOptions<Result | null, Params>) => Promise<Result | null | undefined>;
    isFetching: boolean;
    isLoading: boolean;
    error: Error | null;
    data: Result | null;
    setData: import("use-immer").Updater<Result | null>;
};
export declare const useMoralisWeb3Api: () => {
    initialize: (options: {
        apiKey?: string | undefined;
        serverUrl?: string | undefined;
        Moralis?: any;
    }) => void;
    native: {
        getBlock: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
        } & {
            block_number_or_hash: string;
        }) => Promise<{
            timestamp: string;
            number: string;
            hash: string;
            parent_hash: string;
            nonce: string;
            sha3_uncles: string;
            logs_bloom: string;
            transactions_root: string;
            state_root: string;
            receipts_root: string;
            miner: string;
            difficulty: string;
            total_difficulty: string;
            size: string;
            extra_data: string;
            gas_limit: string;
            gas_used: string;
            transaction_count: string;
            transactions: {
                hash: string;
                nonce: string;
                transaction_index: string;
                from_address: string;
                to_address: string;
                value: string;
                gas?: string | undefined;
                gas_price: string;
                input: string;
                receipt_cumulative_gas_used: string;
                receipt_gas_used: string;
                receipt_contract_address?: string | undefined;
                receipt_root?: string | undefined;
                receipt_status: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                logs: {
                    log_index: string;
                    transaction_hash: string;
                    transaction_index: string;
                    address: string;
                    data: string;
                    topic0: string;
                    topic1?: string | undefined;
                    topic2?: string | undefined;
                    topic3?: string | undefined;
                    block_timestamp: string;
                    block_number: string;
                    block_hash: string;
                }[];
            }[];
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            timestamp: string;
            number: string;
            hash: string;
            parent_hash: string;
            nonce: string;
            sha3_uncles: string;
            logs_bloom: string;
            transactions_root: string;
            state_root: string;
            receipts_root: string;
            miner: string;
            difficulty: string;
            total_difficulty: string;
            size: string;
            extra_data: string;
            gas_limit: string;
            gas_used: string;
            transaction_count: string;
            transactions: {
                hash: string;
                nonce: string;
                transaction_index: string;
                from_address: string;
                to_address: string;
                value: string;
                gas?: string | undefined;
                gas_price: string;
                input: string;
                receipt_cumulative_gas_used: string;
                receipt_gas_used: string;
                receipt_contract_address?: string | undefined;
                receipt_root?: string | undefined;
                receipt_status: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                logs: {
                    log_index: string;
                    transaction_hash: string;
                    transaction_index: string;
                    address: string;
                    data: string;
                    topic0: string;
                    topic1?: string | undefined;
                    topic2?: string | undefined;
                    topic3?: string | undefined;
                    block_timestamp: string;
                    block_number: string;
                    block_hash: string;
                }[];
            }[];
        }>>;
        getDateToBlock: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            providerUrl?: string | undefined;
            date: string;
        }) => Promise<{
            date: string;
            block: number;
            timestamp: number;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            date: string;
            block: number;
            timestamp: number;
        }>>;
        getLogsByAddress: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            block_number?: string | undefined;
            from_block?: string | undefined;
            to_block?: string | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            topic0?: string | undefined;
            topic1?: string | undefined;
            topic2?: string | undefined;
            topic3?: string | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                data: string;
                topic0: string;
                topic1: string;
                topic2: string;
                topic3: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                data: string;
                topic0: string;
                topic1: string;
                topic2: string;
                topic3: string;
            }[] | undefined;
        }>>;
        getNFTTransfersByBlock: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            block_number_or_hash: string;
        }) => Promise<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        }>>;
        getTransaction: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
        } & {
            transaction_hash: string;
        }) => Promise<{
            hash: string;
            nonce: string;
            transaction_index: string;
            from_address: string;
            to_address: string;
            value: string;
            gas?: string | undefined;
            gas_price: string;
            input: string;
            receipt_cumulative_gas_used: string;
            receipt_gas_used: string;
            receipt_contract_address?: string | undefined;
            receipt_root?: string | undefined;
            receipt_status: string;
            block_timestamp: string;
            block_number: string;
            block_hash: string;
            logs: {
                log_index: string;
                transaction_hash: string;
                transaction_index: string;
                address: string;
                data: string;
                topic0: string;
                topic1?: string | undefined;
                topic2?: string | undefined;
                topic3?: string | undefined;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            }[];
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            hash: string;
            nonce: string;
            transaction_index: string;
            from_address: string;
            to_address: string;
            value: string;
            gas?: string | undefined;
            gas_price: string;
            input: string;
            receipt_cumulative_gas_used: string;
            receipt_gas_used: string;
            receipt_contract_address?: string | undefined;
            receipt_root?: string | undefined;
            receipt_status: string;
            block_timestamp: string;
            block_number: string;
            block_hash: string;
            logs: {
                log_index: string;
                transaction_hash: string;
                transaction_index: string;
                address: string;
                data: string;
                topic0: string;
                topic1?: string | undefined;
                topic2?: string | undefined;
                topic3?: string | undefined;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            }[];
        }>>;
        getContractEvents: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            providerUrl?: string | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            topic: string;
            offset?: number | undefined;
            limit?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                data: {
                    from?: string | undefined;
                    to?: string | undefined;
                    value?: string | undefined;
                };
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                data: {
                    from?: string | undefined;
                    to?: string | undefined;
                    value?: string | undefined;
                };
            }[] | undefined;
        }>>;
        runContractFunction: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            providerUrl?: string | undefined;
            function_name: string;
        } & {
            address: string;
        }) => Promise<string & import("moralis-v1/types/generated/web3Api").defaultResponse<string>>;
    };
    account: {
        getTransactions: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            cursor?: unknown;
            limit?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                hash: string;
                nonce: string;
                transaction_index: string;
                from_address: string;
                to_address: string;
                value: string;
                gas: string;
                gas_price: string;
                input: string;
                receipt_cumulative_gas_used: string;
                receipt_gas_used: string;
                receipt_contract_address: string;
                receipt_root: string;
                receipt_status: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                hash: string;
                nonce: string;
                transaction_index: string;
                from_address: string;
                to_address: string;
                value: string;
                gas: string;
                gas_price: string;
                input: string;
                receipt_cumulative_gas_used: string;
                receipt_gas_used: string;
                receipt_contract_address: string;
                receipt_root: string;
                receipt_status: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            }[] | undefined;
        }>>;
        getNativeBalance: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            providerUrl?: string | undefined;
            to_block?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            balance: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            balance: string;
        }>>;
        getTokenBalances: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            to_block?: number | undefined;
            token_addresses?: string[] | undefined;
        } & {
            address: string;
        }) => Promise<{
            token_address: string;
            name: string;
            symbol: string;
            logo?: string | undefined;
            thumbnail?: string | undefined;
            decimals: number;
            balance: string;
        }[] & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            token_address: string;
            name: string;
            symbol: string;
            logo?: string | undefined;
            thumbnail?: string | undefined;
            decimals: number;
            balance: string;
        }[]>>;
        getTokenTransfers: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                to_address: string;
                from_address: string;
                value: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                to_address: string;
                from_address: string;
                value: string;
            }[] | undefined;
        }>>;
        getNFTs: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            token_addresses?: string[] | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        }>>;
        getNFTTransfers: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            direction?: "both" | "to" | "from" | undefined;
            from_block?: number | undefined;
            to_block?: string | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        }>>;
        getNFTsForContract: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            cursor?: string | undefined;
            limit?: number | undefined;
        } & {
            address: string;
            token_address: string;
        }) => Promise<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        }>>;
    };
    token: {
        getTokenMetadata: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            providerUrl?: string | undefined;
            addresses: string[];
        }) => Promise<{
            address: string;
            name: string;
            symbol: string;
            decimals: string;
            logo?: string | undefined;
            logo_hash?: string | undefined;
            thumbnail?: string | undefined;
            block_number?: string | undefined;
            validated?: string | undefined;
        }[] & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            address: string;
            name: string;
            symbol: string;
            decimals: string;
            logo?: string | undefined;
            logo_hash?: string | undefined;
            thumbnail?: string | undefined;
            block_number?: string | undefined;
            validated?: string | undefined;
        }[]>>;
        getNFTTrades: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            from_block?: number | undefined;
            to_block?: string | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            provider_url?: string | undefined;
            marketplace?: "opensea" | undefined;
            cursor?: string | undefined;
            limit?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: ({
                transaction_hash: string;
                transaction_index: string;
                token_ids: unknown[];
                seller_address: string;
                buyer_address: string;
                marketplace_address: string;
                price: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            } & {
                token_address: unknown;
            })[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: ({
                transaction_hash: string;
                transaction_index: string;
                token_ids: unknown[];
                seller_address: string;
                buyer_address: string;
                marketplace_address: string;
                price: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
            } & {
                token_address: unknown;
            })[] | undefined;
        }>>;
        getNFTLowestPrice: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            days?: number | undefined;
            provider_url?: string | undefined;
            marketplace?: "opensea" | undefined;
        } & {
            address: string;
        }) => Promise<{
            transaction_hash: string;
            transaction_index: string;
            token_ids: unknown[];
            seller_address: string;
            buyer_address: string;
            marketplace_address: string;
            price: string;
            block_timestamp: string;
            block_number: string;
            block_hash: string;
        } & {
            token_address: unknown;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            transaction_hash: string;
            transaction_index: string;
            token_ids: unknown[];
            seller_address: string;
            buyer_address: string;
            marketplace_address: string;
            price: string;
            block_timestamp: string;
            block_number: string;
            block_hash: string;
        } & {
            token_address: unknown;
        }>>;
        getTokenMetadataBySymbol: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            symbols: string[];
        }) => Promise<{
            address: string;
            name: string;
            symbol: string;
            decimals: string;
            logo?: string | undefined;
            logo_hash?: string | undefined;
            thumbnail?: string | undefined;
            block_number?: string | undefined;
            validated?: string | undefined;
        }[] & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            address: string;
            name: string;
            symbol: string;
            decimals: string;
            logo?: string | undefined;
            logo_hash?: string | undefined;
            thumbnail?: string | undefined;
            block_number?: string | undefined;
            validated?: string | undefined;
        }[]>>;
        getTokenPrice: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            providerUrl?: string | undefined;
            exchange?: string | undefined;
            to_block?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            nativePrice?: {
                value: string;
                decimals: number;
                name: string;
                symbol: string;
            } | undefined;
            usdPrice: number;
            exchangeAddress?: string | undefined;
            exchangeName?: string | undefined;
        } & {
            symbol: unknown;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            nativePrice?: {
                value: string;
                decimals: number;
                name: string;
                symbol: string;
            } | undefined;
            usdPrice: number;
            exchangeAddress?: string | undefined;
            exchangeName?: string | undefined;
        } & {
            symbol: unknown;
        }>>;
        getTokenAddressTransfers: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            subdomain?: string | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            offset?: number | undefined;
            limit?: number | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                to_address: string;
                from_address: string;
                value: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                transaction_hash: string;
                address: string;
                block_timestamp: string;
                block_number: string;
                block_hash: string;
                to_address: string;
                from_address: string;
                value: string;
            }[] | undefined;
        }>>;
        getTokenAllowance: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            providerUrl?: string | undefined;
            owner_address: string;
            spender_address: string;
        } & {
            address: string;
        }) => Promise<{
            allowance: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            allowance: string;
        }>>;
        searchNFTs: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            q: string;
            filter?: "name" | "description" | "attributes" | "global" | "name,description" | "name,attributes" | "description,attributes" | "name,description,attributes" | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            addresses?: string[] | undefined;
            token_address?: string | undefined;
            cursor?: string | undefined;
            limit?: number | undefined;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                token_id: string;
                token_address: string;
                token_uri: string;
                metadata: string;
                is_valid: number;
                syncing: number;
                frozen: number;
                resyncing: number;
                contract_type: string;
                token_hash: string;
                batch_id: string;
                metadata_name: string;
                metadata_description: string;
                metadata_attributes: string;
                block_number_minted: string;
                opensea_lookup?: {
                    [key: string]: unknown;
                } | undefined;
                minter_address: string;
                transaction_minted: string;
                frozen_log_index?: {
                    [key: string]: unknown;
                } | undefined;
                imported?: {
                    [key: string]: unknown;
                } | undefined;
                last_token_uri_sync: string;
                last_metadata_sync: string;
                createdAt: string;
                updatedAt: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            result?: {
                token_id: string;
                token_address: string;
                token_uri: string;
                metadata: string;
                is_valid: number;
                syncing: number;
                frozen: number;
                resyncing: number;
                contract_type: string;
                token_hash: string;
                batch_id: string;
                metadata_name: string;
                metadata_description: string;
                metadata_attributes: string;
                block_number_minted: string;
                opensea_lookup?: {
                    [key: string]: unknown;
                } | undefined;
                minter_address: string;
                transaction_minted: string;
                frozen_log_index?: {
                    [key: string]: unknown;
                } | undefined;
                imported?: {
                    [key: string]: unknown;
                } | undefined;
                last_token_uri_sync: string;
                last_metadata_sync: string;
                createdAt: string;
                updatedAt: string;
            }[] | undefined;
        }>>;
        getNftTransfersFromToBlock: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            from_block?: number | undefined;
            to_block?: number | undefined;
            from_date?: string | undefined;
            to_date?: string | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        }) => Promise<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        }>>;
        getAllTokenIds: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                owner_of?: string | undefined;
                token_hash?: string | undefined;
                block_number?: string | undefined;
                block_number_minted?: string | undefined;
                contract_type: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                last_token_uri_sync?: string | undefined;
                last_metadata_sync?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                owner_of?: string | undefined;
                token_hash?: string | undefined;
                block_number?: string | undefined;
                block_number_minted?: string | undefined;
                contract_type: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                last_token_uri_sync?: string | undefined;
                last_metadata_sync?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
            }[] | undefined;
        }>>;
        getContractNFTTransfers: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        }>>;
        getNFTOwners: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
        }) => Promise<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        }>>;
        getNFTMetadata: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
        } & {
            address: string;
        }) => Promise<{
            token_address: string;
            name: string;
            synced_at?: string | undefined;
            symbol: string;
            contract_type: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            token_address: string;
            name: string;
            synced_at?: string | undefined;
            symbol: string;
            contract_type: string;
        }>>;
        reSyncMetadata: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            flag?: "uri" | "metadata" | undefined;
            mode?: "async" | "sync" | undefined;
        } & {
            address: string;
            token_id: string;
        }) => Promise<{
            status: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            status: string;
        }>>;
        getTokenIdMetadata: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
        } & {
            address: string;
            token_id: string;
        }) => Promise<{
            token_address: string;
            token_id: string;
            owner_of?: string | undefined;
            token_hash?: string | undefined;
            block_number?: string | undefined;
            block_number_minted?: string | undefined;
            contract_type: string;
            token_uri?: string | undefined;
            metadata?: string | undefined;
            last_token_uri_sync?: string | undefined;
            last_metadata_sync?: string | undefined;
            amount?: string | undefined;
            name: string;
            symbol: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            token_address: string;
            token_id: string;
            owner_of?: string | undefined;
            token_hash?: string | undefined;
            block_number?: string | undefined;
            block_number_minted?: string | undefined;
            contract_type: string;
            token_uri?: string | undefined;
            metadata?: string | undefined;
            last_token_uri_sync?: string | undefined;
            last_metadata_sync?: string | undefined;
            amount?: string | undefined;
            name: string;
            symbol: string;
        }>>;
        getTokenIdOwners: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
            token_id: string;
        }) => Promise<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            status?: string | undefined;
            total?: number | undefined;
            page?: number | undefined;
            page_size?: number | undefined;
            cursor?: string | undefined;
            result?: {
                token_address: string;
                token_id: string;
                contract_type: string;
                owner_of: string;
                block_number: string;
                block_number_minted: string;
                token_uri?: string | undefined;
                metadata?: string | undefined;
                amount?: string | undefined;
                name: string;
                symbol: string;
                token_hash: string;
                last_token_uri_sync: string;
                last_metadata_sync: string;
            }[] | undefined;
        }>>;
        getWalletTokenIdTransfers: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            format?: "decimal" | "hex" | undefined;
            limit?: number | undefined;
            order?: string | undefined;
            cursor?: string | undefined;
        } & {
            address: string;
            token_id: string;
        }) => Promise<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            total: number;
            page: number;
            page_size: number;
            cursor: string;
            result: {
                token_address: string;
                token_id: string;
                from_address?: string | undefined;
                to_address: string;
                value?: string | undefined;
                amount?: string | undefined;
                contract_type: string;
                block_number: string;
                block_timestamp: string;
                block_hash: string;
                transaction_hash: string;
                transaction_type?: string | undefined;
                transaction_index?: string | undefined;
                log_index: number;
                operator?: string | undefined;
            }[];
            block_exists?: boolean | undefined;
            index_complete?: boolean | undefined;
        }>>;
    };
    contract: {
        syncNFTContract: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
        } & {
            address: string;
        }) => Promise<import("moralis-v1/types/generated/web3Api").defaultResponse<unknown>>;
    };
    resolve: {
        resolveDomain: (options: {
            currency?: "eth" | "0x1" | undefined;
        } & {
            domain: string;
        }) => Promise<{
            address: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            address: string;
        }>>;
        resolveAddress: (options: {
            address: string;
        }) => Promise<{
            name: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            name: string;
        }>>;
    };
    defi: {
        getPairReserves: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            to_block?: string | undefined;
            to_date?: string | undefined;
            provider_url?: string | undefined;
        } & {
            pair_address: string;
        }) => Promise<{
            reserve0?: string | undefined;
            reserve1?: string | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            reserve0?: string | undefined;
            reserve1?: string | undefined;
        }>>;
        getPairAddress: (options: {
            chain?: "eth" | "0x1" | "ropsten" | "0x3" | "rinkeby" | "0x4" | "goerli" | "0x5" | "kovan" | "0x2a" | "polygon" | "0x89" | "mumbai" | "0x13881" | "bsc" | "0x38" | "bsc testnet" | "0x61" | "avalanche" | "0xa86a" | "avalanche testnet" | "0xa869" | "fantom" | "0xfa" | "cronos" | "0x19" | "cronos testnet" | "0x152" | undefined;
            to_block?: string | undefined;
            to_date?: string | undefined;
            exchange: "uniswapv2" | "uniswapv3" | "sushiswapv2" | "pancakeswapv2" | "pancakeswapv1" | "quickswap";
        } & {
            token0_address: string;
            token1_address: string;
        }) => Promise<{
            token0?: {
                address?: string | undefined;
                name?: string | undefined;
                symbol?: string | undefined;
                decimals?: string | undefined;
                logo?: string | undefined;
                logo_hash?: string | undefined;
                thumbnail?: string | undefined;
                block_number?: string | undefined;
                validated?: number | undefined;
                created_at?: string | undefined;
            } | undefined;
            token1?: {
                address?: string | undefined;
                name?: string | undefined;
                symbol?: string | undefined;
                decimals?: string | undefined;
                logo?: string | undefined;
                logo_hash?: string | undefined;
                thumbnail?: string | undefined;
                block_number?: string | undefined;
                validated?: number | undefined;
                created_at?: string | undefined;
            } | undefined;
            pairAddress?: string | undefined;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            token0?: {
                address?: string | undefined;
                name?: string | undefined;
                symbol?: string | undefined;
                decimals?: string | undefined;
                logo?: string | undefined;
                logo_hash?: string | undefined;
                thumbnail?: string | undefined;
                block_number?: string | undefined;
                validated?: number | undefined;
                created_at?: string | undefined;
            } | undefined;
            token1?: {
                address?: string | undefined;
                name?: string | undefined;
                symbol?: string | undefined;
                decimals?: string | undefined;
                logo?: string | undefined;
                logo_hash?: string | undefined;
                thumbnail?: string | undefined;
                block_number?: string | undefined;
                validated?: number | undefined;
                created_at?: string | undefined;
            } | undefined;
            pairAddress?: string | undefined;
        }>>;
    };
    storage: {
        uploadFolder: () => Promise<{
            path: string;
        }[] & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            path: string;
        }[]>>;
    };
    info: {
        web3ApiVersion: () => Promise<{
            version: string;
        } & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            version: string;
        }>>;
        endpointWeights: () => Promise<{
            endpoint: string;
            path: string;
            rateLimitWeight: string;
            price: string;
        }[] & import("moralis-v1/types/generated/web3Api").defaultResponse<{
            endpoint: string;
            path: string;
            rateLimitWeight: string;
            price: string;
        }[]>>;
    };
    Web3API: typeof import("moralis-v1/types").Moralis.Web3API;
};
